// Support sgImage unit
{$DEFINE SGVER_5_2_5}
// Support sgDrawingNavigator unit
{$DEFINE SGVER_6_0_0} // to comment this define for old versions CAD/DXF Import VCL

{$IFDEF SGVER_6_0_0}
  // Unsupport sgImage unit, Support only sgDrawingNavigator unit
  {$UNDEF SGVER_5_2_5}
{$ENDIF}

// support optimized code for some global functions
{$DEFINE SG_FAST_CODE}

{$A+}// Record field alignment =8
{$J+}// Assignable typed constants

// Borland Delphi 3.0
{$IFDEF VER100}
  {$DEFINE SGDEL_3}
{$ENDIF}
// Borland C++Builder 3.0
{$IFDEF VER110}
  {$DEFINE SGDEL_3}
{$ENDIF}
// Borland Delphi 4.0
{$IFDEF VER120}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
{$ENDIF}
// Borland C++Builder 4.0
{$IFDEF VER125}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
{$ENDIF}
// Borland Delphi 5.0 & C++Builder 5
{$IFDEF VER130}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
  {$DEFINE SGDEL_5}
{$ENDIF}
// Borland Delphi 6.0 & C++Builder 6
{$IFDEF VER140}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
  {$DEFINE SGDEL_5}
  {$DEFINE SGDEL_6}
  {$A8}
{$ENDIF}
// Borland Delphi 7.0
{$IFDEF VER150}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
  {$DEFINE SGDEL_5}
  {$DEFINE SGDEL_6}
  {$DEFINE SGDEL_7}
  {$A8}
{$ENDIF}
// Borland Delphi 8.0
{$IFDEF VER160}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
  {$DEFINE SGDEL_5}
  {$DEFINE SGDEL_6}
  {$DEFINE SGDEL_7}
  {$DEFINE SGDEL_8}
  {$A8}
{$ENDIF}
// Borland Delphi 2005
{$IFDEF VER170}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
  {$DEFINE SGDEL_5}
  {$DEFINE SGDEL_6}
  {$DEFINE SGDEL_7}
  {$DEFINE SGDEL_8}
  {$DEFINE SGDEL_2005}
  {$A8}
{$ENDIF}
// Borland Developer Studio 2006 (v10.0) VER180
{$IFDEF VER180}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
  {$DEFINE SGDEL_5}
  {$DEFINE SGDEL_6}
  {$DEFINE SGDEL_7}
  {$DEFINE SGDEL_8}
  {$DEFINE SGDEL_2005}
  {$DEFINE SGDEL_2006}
  {$A8}
{$ENDIF}
// CodeGear Delphi 2007 for Win32 (v11.0) VER180 and VER185
{$IFDEF SGDEL_2006}
  {$IFDEF VER185}
    {$DEFINE SGDEL_2007}
  {$ENDIF}
{$ENDIF}

// CodeGear Delphi 2009 and C++ Builder	2009 (v12.0) VER200
{$IFDEF VER200}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
  {$DEFINE SGDEL_5}
  {$DEFINE SGDEL_6}
  {$DEFINE SGDEL_7}
  {$DEFINE SGDEL_8}
  {$DEFINE SGDEL_2005}
  {$DEFINE SGDEL_2006}
  {$DEFINE SGDEL_2007}
  {$DEFINE SGDEL_2009}
  {$A8}
{$ENDIF}

// Embarcadero RAD 2010 (v14.0) VER210
{$IFDEF VER210}
  {$DEFINE SGDEL_3}
  {$DEFINE SGDEL_4}
  {$DEFINE SGDEL_5}
  {$DEFINE SGDEL_6}
  {$DEFINE SGDEL_7}
  {$DEFINE SGDEL_8}
  {$DEFINE SGDEL_2005}
  {$DEFINE SGDEL_2006}
  {$DEFINE SGDEL_2007}
  {$DEFINE SGDEL_2009}
  {$DEFINE SGDEL_2010}
  {$A8}
{$ENDIF}

{$IFDEF SGDEL_4}
  {$IFNDEF BCB}
    {$DEFINE SG_USEGDIPLUS}
  {$ELSE}
    {$IFDEF SGDEL_2007}
      {$DEFINE SG_USEGDIPLUS}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

{$IFDEF SGDEL_2006}
  {$DEFINE SG_INLINE}
{$ENDIF}
(*
// Previous version

{$IFNDEF VER80}// Delphi 1.0
 {$IFNDEF VER90}// Delphi 2.0
  {$IFNDEF VER93}// C++Builder 1.0
    // Delphi 3.0 or higher
    {$IFNDEF VER100}
      // C++Builder 3.0 or higher
      {$IFNDEF VER110}
        // Delphi 4.0 or higher
        {$IFNDEF VER120}
          // C++Builder 4.0 or higher
          {$IFNDEF VER125}
            // Delphi 5.0 or higher
              {$IFNDEF VER130}
                {$IFNDEF VER140}
                   {$DEFINE SGDEL_6} // Delphi 6.0 or higher
                   {$A8}
                {$ENDIF}
              {$ENDIF}
          {$ENDIF}
        {$ENDIF}
      {$ENDIF}
    {$ENDIF}
  {$ENDIF}
 {$ENDIF}
{$ENDIF}
*)

{$R-}
{$Q-}

